# $Revision: 1.31 $, $Date: 2004/08/06 01:20:46 $
#
# Conditional build:
%bcond_without	alsa	# without ALSA support
%bcond_with	gtk1	# use GTK+ 1.2 instead of GTK+ 2
#
Summary:	Gtk frontend for GNU lilypond
Summary(pl):	Frontend Gtk na GNU lilypond
Name:		denemo
Version:	0.7.2a
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/denemo/%{name}-%{version}.tar.gz
# Source0-md5:	2d57e4d660e13eb6e476104c788046af
Patch0:		%{name}-opt.patch
Patch1:		%{name}-po.patch
Patch2:		%{name}-am.patch
Patch3:		%{name}-gtk24_link.patch
URL:		http://denemo.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gtk1:BuildRequires:	gtk+-devel >= 1.2.0}
%{!?with_gtk1:BuildRequires:	gtk+2-devel >= 2.0.0}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0.0
#BuildRequires:	niffsdk-devel
%{!?with_gtk1:BuildRequires:	pkgconfig}
Requires:	TiMidity++
Requires:	lilypond
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.ly

%description
Denemo is a graphical music notation program written in C with gtk+.

It is intended to be used in conjunction with GNU Lilypond
(http://www.cs.uu.nl/hanwen/lilypond/), but is adaptable to other
computer-music-related purposes as well.

%description -l pl
Denemo to program do graficznej notacji muzycznej uywajcy gtk+.

Jest przeznaczony do uywania z GNU Lilypond
(http://www.cs.uu.nl/hanwen/lilypond/), ale moe by zaadaptowany do
innych celw zwizanych z muzyk.

%package devel
Summary:	Header files for denemo plugins development
Summary(pl):	Pliki nagwkowe do tworzenia wtyczek dla denemo
Group:		Development/Libraries
# doesn't require base

%description devel
Header files for denemo plugins development.

%description devel -l pl
Pliki nagwkowe do tworzenia wtyczek dla denemo.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{!?with_alsa:echo 'AC_DEFUN([AM_PATH_ALSA],[$3])' >> acinclude.m4}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CFLAGS="%{rpmcflags} %{?debug:-DDEBUG}"
%configure \
	--disable-static \
	%{!?with_gtk1:--enable-gtk2} \
	--with-plugins=analysis
# ,niff - but it's incomplete (no interface between niff and denemo)

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# no *.la for modules - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/denemo/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS DESIGN GOALS NEWS README TODO examples/*.ly
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%dir %{_libdir}/denemo
%attr(755,root,root) %{_libdir}/denemo/libanalyse.so*

%files devel
%defattr(644,root,root,755)
%{_includedir}/denemo

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: denemo.spec,v $
Revision 1.31  2004/08/06 01:20:46  ankry
- fixed build with gtk+-2.4

Revision 1.30  2004/08/06 00:13:53  ankry
- added -am patch

Revision 1.29  2004/08/04 06:23:49  ankry
- i18n fixes (-po patch), rel. 2

Revision 1.28  2004/01/18 17:05:08  qboosh
- updated to 0.7.2a (includes a few examples)

Revision 1.27  2003/12/21 16:12:26  qboosh
- new-style bconds

Revision 1.26  2003/12/21 15:28:10  domelu
- updated to 0.7.2

Revision 1.25  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.24  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 05:46:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/05/09 21:24:19  qboosh
- note about incomplete niff plugin

Revision 1.21  2003/05/09 16:39:53  qboosh
- updated to 0.7.1, build for gtk+2 by default
- removed obsolete libxml2 patch, added opt patch
- added -devel package

Revision 1.20  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.19  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.18  2002/12/28 01:38:09  qboosh
- use new Group: X11/Applications/Sound

Revision 1.17  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/07/25 19:20:54  qboosh
- updated to 0.6.0
- added libxml2 patch needed to build with libxml2 (headers path fix)
- added i18n files

Revision 1.15  2002/07/21 09:55:46  kloczek
- release 3: use new %doc.

Revision 1.14  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/25 16:10:22  arturs
fixed a small typo

Revision 1.12  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:12:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/21 14:35:23  qboosh
- pl translations

Revision 1.7  2001/10/07 00:44:31  blues
- release 2
- ac2.5 ready

Revision 1.6  2001/10/03 01:37:51  marcus
- configure2_13

Revision 1.5  2000/12/11 14:40:28  kloczek
- Source url changed to ftp:// (notifier easier finds new version through
  ftp).

Revision 1.4  2000/11/16 04:41:25  kloczek
- install prefix changed to /usr/X11R6,
- added gzipping %doc,
- added BuildRequires rules.
Note: it will be good add desktop file.

Revision 1.3  2000/11/14 11:12:15  klakier
- 'Requires' added

Revision 1.2  2000/11/14 10:59:59  klakier
- need testing
